
class ImapEncryption(object):
    # Automatic selection, when migrator first tries to use IMAP over SSL,
    # and if it is not available then asks customer whether to continue
    # import using plain IMAP without encryption
    AUTO = 'auto'
    # Plain IMAP without encryption
    IMAP = 'imap'
    # IMAP over SSL
    IMAP_OVER_SSL = 'imap-over-ssl'

    @staticmethod
    def get_valid_values_for_mail_migrator():
        return [ImapEncryption.IMAP, ImapEncryption.IMAP_OVER_SSL]
